## ros-noetic-cob-calibration-data 0.6.18

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(cob_calibration_data)

find_package(catkin REQUIRED COMPONENTS cob_supported_robots)

catkin_package()

foreach(robot ${cob_supported_robots_ROBOTLIST})
   install(DIRECTORY ${robot}
     DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
   )
endforeach()

=== debian/changelog ===
ros-noetic-cob-calibration-data (0.6.18-1focal) focal; urgency=high

  * fix travis badge
  * Merge pull request #169 <https://github.com/ipa320/cob_calibration_data/issues/169> from fmessmer/add_cob4-30_ostwestfalen
    add cob4-30 ostwestfalen
  * add cob4-30 ostwestfalen
  * Merge pull request #168 <https://github.com/ipa320/cob_calibration_data/issues/168> from fmessmer/add_cob4-29_goettingen
    add cob4-29 goettingen
  * add cob4-29 goettingen
  * Contributors: Felix Messmer, fmessmer

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Wed, 16 Nov 2022 23:00:00 -0000

ros-noetic-cob-calibration-data (0.6.17-1focal) focal; urgency=high

  * Merge pull request #167 <https://github.com/ipa320/cob_calibration_data/issues/167> from pgehring/add_license
    add LICENSE
  * add LICENSE
  * Contributors: Felix Messmer, pgehring

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Thu, 28 Jul 2022 22:00:00 -0000

ros-noetic-cob-calibration-data (0.6.16-1focal) focal; urgency=high

  * Merge pull request #166 <https://github.com/ipa320/cob_calibration_data/issues/166> from ipa-foj/fixup_cob4-25
    fixup cob4-25 for noetic
  * fixup cob4-25 for noetic
  * update travis config
  * Contributors: Felix Messmer, mailto:robot@cob4-25

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Wed, 22 Dec 2021 23:00:00 -0000

ros-noetic-cob-calibration-data (0.6.15-1focal) focal; urgency=high

  * Merge pull request #165 <https://github.com/ipa320/cob_calibration_data/issues/165> from fmessmer/test_noetic
    test noetic
  * remove obsolete pylint check
  * Bump CMake version to avoid CMP0048 warning
  * add noetic jobs
  * Contributors: Felix Messmer, fmessmer

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Fri, 16 Oct 2020 22:00:00 -0000

ros-noetic-cob-calibration-data (0.6.14-1focal) focal; urgency=high

  * Merge pull request #164 <https://github.com/ipa320/cob_calibration_data/issues/164> from fmessmer/remove_cob4-22
    remove cob4-22
  * remove cob4-22
  * Merge pull request #163 <https://github.com/ipa320/cob_calibration_data/issues/163> from HannesBachter/add_cob4-23
    add cob4-23
  * add cob4-23
  * Merge pull request #162 <https://github.com/ipa320/cob_calibration_data/issues/162> from fmessmer/feature/python3_compatibility
    [ci_updates] pylint + Python3 compatibility
  * activate pylint checks from feature branch
  * Merge pull request #160 <https://github.com/ipa320/cob_calibration_data/issues/160> from fmessmer/rosenv_after_script
    use rosenv for AFTER_SCRIPT
  * use rosenv for AFTER_SCRIPT
  * Merge pull request #159 <https://github.com/ipa320/cob_calibration_data/issues/159> from fmessmer/ci_updates
    [travis] ci updates
  * sort travis.yml
  * rosinstall consistency
  * add CATKIN_LINT=pedantic
  * update travis.yml
  * catkin_lint fixes
  * Merge pull request #158 <https://github.com/ipa320/cob_calibration_data/issues/158> from HannesBachter/update_cob4-16
    calibrate head cam
  * calibrate head cam
  * Contributors: Felix Messmer, fmessmer, hyb

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Tue, 17 Mar 2020 23:00:00 -0000

ros-noetic-cob-calibration-data (0.6.13-1focal) focal; urgency=high

  * Merge pull request #157 <https://github.com/ipa320/cob_calibration_data/issues/157> from floweisshardt/migrate/travis_com
    migrate to travis-ci.com
  * migrate to travis-ci.com
  * Merge pull request #156 <https://github.com/ipa320/cob_calibration_data/issues/156> from fmessmer/add_cob4-24
    add cob4-24
  * transfer mojin calibration to cob calibration for cob4-24
  * add cob4-24
  * Merge pull request #155 <https://github.com/ipa320/cob_calibration_data/issues/155> from HannesBachter/update_cob4-3
    update xacro for cob4-3
  * update xacro for cob4-3
  * Contributors: Benjamin Maidel, Felix Messmer, Florian Weisshardt, floweisshardt, fmessmer, hyb

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Wed, 06 Nov 2019 23:00:00 -0000

ros-noetic-cob-calibration-data (0.6.12-1focal) focal; urgency=high

  * Merge pull request #154 <https://github.com/ipa320/cob_calibration_data/issues/154> from fmessmer/melodify
    [Melodic] add melodic checks
  * add melodic support
  * Merge pull request #153 <https://github.com/ipa320/cob_calibration_data/issues/153> from HannesBachter/add_cob4-22
    add cob4-22
  * add cob4-22
  * Contributors: Felix Messmer, Florian Weisshardt, fmessmer, hyb

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Mon, 05 Aug 2019 22:00:00 -0000

ros-noetic-cob-calibration-data (0.6.11-1focal) focal; urgency=high

  * Merge pull request #150 <https://github.com/ipa320/cob_calibration_data/issues/150> from fmessmer/add_cob4-25
    add cob4-25
  * calibrate head_cam cob4-25
  * add cob4-25
  * Contributors: Felix Messmer, fmessmer

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Thu, 04 Apr 2019 22:00:00 -0000

ros-noetic-cob-calibration-data (0.6.10-1focal) focal; urgency=high

  * rosinstall consistency
  * Merge pull request #149 <https://github.com/ipa320/cob_calibration_data/issues/149> from fmessmer/add_cob4-20
    add cob4-20 ipa 340
  * add cob4-20 ipa 340
  * Contributors: Florian Weisshardt, fmessmer

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Wed, 13 Mar 2019 23:00:00 -0000

ros-noetic-cob-calibration-data (0.6.9-1focal) focal; urgency=high

  * Merge pull request #148 <https://github.com/ipa320/cob_calibration_data/issues/148> from HannesBachter/add_cob4-13_cardiff
    calibrate head cam for cob4-13
  * calibrate head cam
  * Merge pull request #147 <https://github.com/ipa320/cob_calibration_data/issues/147> from ipa-fxm/add_cob4-13_cardiff
    add cob4-13 cardiff
  * Merge pull request #146 <https://github.com/ipa320/cob_calibration_data/issues/146> from ipa-fxm/add_cob4-18_323
    add cob4-18 323
  * add cob4-13 cardiff
  * add cob4-18 323
  * Contributors: Felix Messmer, Florian Weisshardt, cob4-13, ipa-fxm



=== debian/control ===
Source: ros-noetic-cob-calibration-data
Section: misc
Priority: optional
Maintainer: Richard Bormann <richard.bormann@ipa.fraunhofer.de>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-cob-supported-robots
Homepage: http://ros.org/wiki/cob_calibration_data
Standards-Version: 3.9.2

Package: ros-noetic-cob-calibration-data
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-xacro
Description: This repository holds the current calibration data for Care-O-bot.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-cob-calibration-data//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
